# Check status
source: https://developer.mastercard.com/track-search/documentation/use-cases/check_status/index.md

This endpoint allows users to check the status of their initiated bulk search request. Use the `bulkSearchId` received from your POST/bulk-searches API call as a path parameter to this endpoint.

### How it works {#how-it-works}

The user journey with this endpoint is as follows:
Diagram status

**Step 1**: The user submits a retrieve status request by calling the GET /bulk-searches/{bulk_search_id} endpoint.

**Step 2** : Mastercard Track Search validates the `bulkSearchId` exists in the database.

**Step 3**: Mastercard Track Search retrieves the status of the search.

**Step 4**: Mastercard Track Search returns a 200 OK response with the status of the search request.

API Reference: `GET /bulk-searches/{bulk_search_id}`

Review the error codes associated with this endpoint in the [Check status error codes](https://developer.mastercard.com/track-search/documentation/code-and-formats/index.md#check-status-error-codes) section.

## Next steps {#next-steps}

* If you receive the status `PENDING`, then bulk search request is still processing, and the results are not available to retrieve. Retry the check status request later.
* If you receive the status `COMPLETED`, then you can [Retrieve the bulk search results](https://developer.mastercard.com/track-search/documentation/use-cases/retrieve_results/index.md).
